clan(X, [X|_]).
clan(X, [_|R]) :- clan(X, R).

%% d(ime, prezime, godine)

deca(Lista) :- Lista = [d(_, _, 1),d(_, _, 2),d(_, _, 3),d(_, _, 4),d(_, _, 5)],
	       clan(d(bora, borovic, _), Lista),
	       clan(d(mila, _, G1), Lista),
	       clan(d(_, nenic, G2), Lista),
	       clan(d(nena, _, G5), Lista),
	       clan(d(jovana, _, G3), Lista),
	       clan(d(dusan, _, G6), Lista),
	       clan(d(_, milic, G4), Lista),
	       clan(d(_, dulic, _), Lista),
	       clan(d(_, jovic, G7), Lista),
	       G1 =:= G2 + 1,
	       G2 =:= G3 + 1,
	       G4 =:= G5 + 3,
	       G6 =:= G7 * 2.


odgovori(X, Y) :- deca(L), clan(d(X, nenic, _), L), clan(d(jovana, Y, _), L).
